summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-dns/namecoind
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-dns/namecoind')
-rw-r--r--net-dns/namecoind/Manifest1
-rw-r--r--net-dns/namecoind/files/namecoin.conf8
-rw-r--r--net-dns/namecoind/files/namecoin.confd10
-rw-r--r--net-dns/namecoind/files/namecoin.initd104
-rw-r--r--net-dns/namecoind/files/namecoind-0.3.72-makefile.patch52
-rw-r--r--net-dns/namecoind/files/namecoind-0.3.80-makefile.patch30
-rw-r--r--net-dns/namecoind/metadata.xml8
-rw-r--r--net-dns/namecoind/namecoind-0.3.72.ebuild78
-rw-r--r--net-dns/namecoind/namecoind-0.3.80.ebuild84
9 files changed, 375 insertions, 0 deletions
diff --git a/net-dns/namecoind/Manifest b/net-dns/namecoind/Manifest
new file mode 100644
index 00000000000..4619a47e630
--- /dev/null
+++ b/net-dns/namecoind/Manifest
@@ -0,0 +1 @@
+DIST namecoind-0.3.72.tar.gz 1453901 SHA256 74d088f96735b3397b9a71bc10bbbe1211cd2594baf593c4b9062457c1d4b869 SHA512 63d42fb1a982f725f22d35992fadb192116b7ee73a418cba52285325df5a56d41b47d3de7d1b9b53b816c160d1909ecff70117de94edead0eab343da6809e417 WHIRLPOOL bd2385a3118406a9076bf3587e3cc8f4e25ddac350ec62901e1d577d92fc113de58fa59f9138dac2e82efcb1553d4dba657cd2092f23800e995756fe98c3f012
diff --git a/net-dns/namecoind/files/namecoin.conf b/net-dns/namecoind/files/namecoin.conf
new file mode 100644
index 00000000000..c6a55f3d913
--- /dev/null
+++ b/net-dns/namecoind/files/namecoin.conf
@@ -0,0 +1,8 @@
+# http://www.bitcoin.org/smf/index.php?topic=644.0
+#rpcuser=
+#rpcpassword=
+
+
+
+
+
diff --git a/net-dns/namecoind/files/namecoin.confd b/net-dns/namecoind/files/namecoin.confd
new file mode 100644
index 00000000000..0120a560b64
--- /dev/null
+++ b/net-dns/namecoind/files/namecoin.confd
@@ -0,0 +1,10 @@
+# Config file for /etc/init.d/namecoin
+
+# owner of namecoind process (don't change, must be existing)
+NAMECOIN_USER="namecoin"
+
+# See http://www.bitcoin.org/smf/index.php?topic=1063
+NAMECOIN_OPTS="${NAMECOIN_OPTS}"
+
+# nice level
+NICELEVEL="19"
diff --git a/net-dns/namecoind/files/namecoin.initd b/net-dns/namecoind/files/namecoin.initd
new file mode 100644
index 00000000000..4330c918e44
--- /dev/null
+++ b/net-dns/namecoind/files/namecoin.initd
@@ -0,0 +1,104 @@
+#!/sbin/runscript
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+VARDIR="/var/lib/namecoin"
+CONFFILE="${VARDIR}/.namecoin/bitcoin.conf"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [[ "${NAMECOIN_USER}" == "" ]] ; then
+ eerror "Please edit /etc/conf.d/namecoind"
+ eerror "A user must be specified to run namecoind as that user."
+ eerror "Modify USER to your needs (you may also add a group after a colon)"
+ return 1
+ fi
+ if ! `getent passwd | cut -d ':' -f 1 | grep $( echo "${NAMECOIN_USER}" | cut -d ':' -f 1 ) -sq` ; then
+ eerror "Please edit /etc/conf.d/namecoind"
+ eerror "Specified user must exist!"
+ return 1
+ fi
+ if `echo "${NAMECOIN_USER}" | grep ':' -sq` ; then
+ if ! `cut -d ':' -f 1 /etc/group | grep $( echo "${NAMECOIN_USER}" | cut -d ':' -f 2 ) -sq` ; then
+ eerror "Please edit /etc/conf.d/namecoind"
+ eerror "Specified group must exist!"
+ return 1
+ fi
+ fi
+ if ! grep -q '^rpcpassword=' "${CONFFILE}"; then
+ eerror "Please edit `readlink -f ${CONFFILE}`"
+ eerror "There must be at least a line assigning rpcpassword=something-secure"
+ return 1
+ fi
+ if ! stat -Lc '%a' "${CONFFILE}" | grep -q '^[4567]00$'; then
+ eerror "`readlink -f ${CONFFILE}` should not be readable by other users"
+ return 1
+ fi
+ return 0
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting Namecoind daemon"
+
+ pkg-config openrc
+ if [ $? = 0 ]; then
+ start_openrc
+ else
+ start_baselayout
+ fi
+}
+
+stop() {
+ ebegin "Stopping Namecoin daemon"
+
+ pkg-config openrc
+ if [ $? = 0 ]; then
+ stop_openrc
+ else
+ stop_baselayout
+ fi
+}
+
+start_openrc() {
+ start-stop-daemon \
+ --start --user "${NAMECOIN_USER}" --name namecoind \
+ --pidfile /var/run/namecoind.pid --make-pidfile \
+ --env HOME="${VARDIR}" --exec /usr/bin/namecoind \
+ --nicelevel "${NICELEVEL}" \
+ --background \
+ --wait 2000 \
+ -- ${NAMECOIN_OPTS}
+ eend $?
+}
+
+stop_openrc() {
+ start-stop-daemon --stop --user "${NAMECOIN_USER}" \
+ --name namecoind --pidfile /var/run/namecoind.pid \
+ --wait 30000 \
+ --progress
+ eend $?
+}
+
+start_baselayout() {
+ start-stop-daemon \
+ --start --user "${NAMECOIN_USER}" --name namecoind \
+ --pidfile /var/run/namecoind.pid --make-pidfile \
+ --env HOME="${VARDIR}" --exec /usr/bin/namecoind \
+ --chuid "${NAMECOIN_USER}" \
+ --nicelevel "${NICELEVEL}" \
+ --background \
+ -- ${NAMECOIN_OPTS}
+ eend $?
+}
+
+stop_baselayout() {
+ start-stop-daemon \
+ --stop \
+ --user "${NAMECOIN_USER}" \
+ --name namecoind \
+ --pidfile /var/run/namecoind.pid
+ eend $?
+}
diff --git a/net-dns/namecoind/files/namecoind-0.3.72-makefile.patch b/net-dns/namecoind/files/namecoind-0.3.72-makefile.patch
new file mode 100644
index 00000000000..f8996944e13
--- /dev/null
+++ b/net-dns/namecoind/files/namecoind-0.3.72-makefile.patch
@@ -0,0 +1,52 @@
+diff -Naur namecoinq-vQ.3.72.orig/src/Makefile namecoinq-vQ.3.72/src/Makefile
+--- namecoinq-vQ.3.72.orig/src/Makefile 2013-10-29 09:38:10.000000000 -0400
++++ namecoinq-vQ.3.72/src/Makefile 2013-11-30 18:43:25.016028725 -0500
+@@ -1,6 +1,6 @@
+-CXX=g++
++CXX?=g++
+
+-DEFS=-D_MT -DNOPCH -DFOURWAYSSE2 -DUSE_SSL
++DEFS=-D_MT -DNOPCH -DFOURWAYSSE2 -DUSE_SSL
+
+ # Detect MinGW
+ MINGW=$(shell uname -s|grep -i mingw32)
+@@ -8,20 +8,10 @@
+ # Link boost statically
+ DEFS += -DBOOST_THREAD_USE_LIB
+
+-INCLUDEPATHS= \
+- -I../libs/openssl-1.0.1e/include \
+- -I../libs/db-4.7.25.NC/build_unix \
+- -I../libs/boost_1_50_0
+-
+-LIBPATHS= \
+- -L../libs/openssl-1.0.1e \
+- -L../libs/db-4.7.25.NC/build_unix \
+- -L../libs/boost_1_50_0/stage/lib
+-
+ LIBBOOST_SUFFIX=
+
+ LIBS= \
+- -Wl,-Bstatic \
++ -Wl,-Bdynamic \
+ -l boost_system$(LIBBOOST_SUFFIX) \
+ -l boost_filesystem$(LIBBOOST_SUFFIX) \
+ -l boost_program_options$(LIBBOOST_SUFFIX) \
+@@ -70,7 +60,7 @@
+ -l pthread
+ endif
+
+-CXXFLAGS=-O2 -Wno-invalid-offsetof -Wformat $(DEFS) $(INCLUDEPATHS)
++#CXXFLAGS=-O2 -Wno-invalid-offsetof -Wformat $(DEFS) $(INCLUDEPATHS)
+ HEADERS=headers.h strlcpy.h serialize.h uint256.h util.h key.h bignum.h base58.h \
+ script.h allocators.h db.h walletdb.h crypter.h net.h irc.h keystore.h main.h wallet.h bitcoinrpc.h uibase.h ui.h noui.h init.h auxpow.h
+
+@@ -110,7 +100,7 @@
+ obj/nogui/namecoin.o: namecoin.h
+
+ namecoind: $(OBJS:obj/%=obj/nogui/%) obj/nogui/namecoin.o
+- $(CXX) $(CXXFLAGS) -o $@ $(LIBPATHS) $^ $(LIBS)
++ $(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS) $(LIBS)
+
+ clean:
+ -rm -f namecoin namecoind
diff --git a/net-dns/namecoind/files/namecoind-0.3.80-makefile.patch b/net-dns/namecoind/files/namecoind-0.3.80-makefile.patch
new file mode 100644
index 00000000000..2dce6b5a4f8
--- /dev/null
+++ b/net-dns/namecoind/files/namecoind-0.3.80-makefile.patch
@@ -0,0 +1,30 @@
+--- Makefile.github 2015-01-01 10:05:04.000000000 +0000
++++ Makefile 2015-01-01 10:15:05.000000000 +0000
+@@ -1,4 +1,4 @@
+-CXX=g++
++CXX?=g++
+
+ DEFS=-D_MT -DNOPCH -DFOURWAYSSE2 -DUSE_SSL
+
+@@ -8,20 +8,10 @@
+ # Link boost statically
+ DEFS += -DBOOST_THREAD_USE_LIB
+
+-INCLUDEPATHS= \
+- -I../libs/openssl-1.0.1i/include \
+- -I../libs/db-4.7.25.NC/build_unix \
+- -I../libs/boost_1_50_0
+-
+-LIBPATHS= \
+- -L../libs/openssl-1.0.1i \
+- -L../libs/db-4.7.25.NC/build_unix \
+- -L../libs/boost_1_50_0/stage/lib
+-
+ LIBBOOST_SUFFIX=
+
+ LIBS= \
+- -Wl,-Bstatic \
++ -Wl,-Bdynamic \
+ -l boost_system$(LIBBOOST_SUFFIX) \
+ -l boost_filesystem$(LIBBOOST_SUFFIX) \
+ -l boost_program_options$(LIBBOOST_SUFFIX) \
diff --git a/net-dns/namecoind/metadata.xml b/net-dns/namecoind/metadata.xml
new file mode 100644
index 00000000000..1e7587374fd
--- /dev/null
+++ b/net-dns/namecoind/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>blueness@gentoo.org</email>
+ <name>Anthony G. Basile</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/net-dns/namecoind/namecoind-0.3.72.ebuild b/net-dns/namecoind/namecoind-0.3.72.ebuild
new file mode 100644
index 00000000000..552cf4aea74
--- /dev/null
+++ b/net-dns/namecoind/namecoind-0.3.72.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+DB_VER="4.8"
+
+inherit db-use eutils toolchain-funcs user
+
+DESCRIPTION="A P2P network based domain name system"
+HOMEPAGE="https://dot-bit.org/"
+SRC_URI="https://github.com/namecoinq/namecoinq/archive/v${PV/0/Q}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT ISC cryptopp"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ssl upnp"
+
+RDEPEND="
+ dev-libs/boost[threads(+)]
+ dev-libs/glib:2
+ dev-libs/crypto++
+ dev-libs/openssl[-bindist]
+ upnp? (
+ net-libs/miniupnpc
+ )
+ sys-libs/db:$(db_ver_to_slot "${DB_VER}")[cxx]
+"
+DEPEND="${RDEPEND}
+ >=app-shells/bash-4.1
+"
+
+S="${WORKDIR}/namecoinq-v${PV/0/Q}"
+
+pkg_setup() {
+ local UG='namecoin'
+ enewgroup "${UG}"
+ enewuser "${UG}" -1 -1 /var/lib/namecoin "${UG}"
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/namecoind-0.3.72-makefile.patch
+}
+
+src_compile() {
+ local OPTS=()
+
+ OPTS+=("CXXFLAGS=${CXXFLAGS} -I$(db_includedir "${DB_VER}")")
+ OPTS+=("LDFLAGS=${LDFLAGS} -ldb_cxx-${DB_VER}")
+
+ use ssl && OPTS+=(USE_SSL=1)
+ use upnp && OPTS+=(USE_UPNP=1)
+
+ cd src || die
+ emake CXX="$(tc-getCXX)" "${OPTS[@]}" ${PN}
+}
+
+src_install() {
+ dobin src/${PN}
+
+ insinto /etc/namecoin
+ doins "${FILESDIR}/namecoin.conf"
+ fowners namecoin:namecoin /etc/namecoin/namecoin.conf
+ fperms 600 /etc/namecoin/namecoin.conf
+
+ newconfd "${FILESDIR}/namecoin.confd" ${PN}
+ newinitd "${FILESDIR}/namecoin.initd" ${PN}
+
+ keepdir /var/lib/namecoin/.namecoin
+ fperms 700 /var/lib/namecoin
+ fowners namecoin:namecoin /var/lib/namecoin/
+ fowners namecoin:namecoin /var/lib/namecoin/.namecoin
+ dosym /etc/namecoin/namecoin.conf /var/lib/namecoin/.namecoin/bitcoin.conf
+
+ dodoc doc/README
+ dodoc DESIGN-namecoin.md FAQ.md doc/README_merged-mining.md
+}
diff --git a/net-dns/namecoind/namecoind-0.3.80.ebuild b/net-dns/namecoind/namecoind-0.3.80.ebuild
new file mode 100644
index 00000000000..230c2cb4915
--- /dev/null
+++ b/net-dns/namecoind/namecoind-0.3.80.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+DB_VER="4.8"
+
+inherit db-use eutils toolchain-funcs user git-r3
+
+DESCRIPTION="A P2P network based domain name system"
+HOMEPAGE="https://dot-bit.org/"
+#SRC_URI="https://github.com/namecoinq/namecoinq/archive/v${PV/0/Q}.tar.gz -> ${P}.tar.gz"
+# Try to use github
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/namecoin/namecoin.git"
+EGIT_BRANCH="namecoinq-release"
+EGIT_COMMIT="nc${PV}"
+
+LICENSE="MIT ISC cryptopp"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ssl upnp"
+
+RDEPEND="
+ dev-libs/boost[threads(+)]
+ dev-libs/glib:2
+ dev-libs/crypto++
+ dev-libs/openssl[-bindist]
+ upnp? (
+ net-libs/miniupnpc
+ )
+ sys-libs/db:$(db_ver_to_slot "${DB_VER}")[cxx]
+"
+DEPEND="${RDEPEND}
+ >=app-shells/bash-4.1
+"
+
+S="${WORKDIR}/${PN}-${PV}"
+
+pkg_setup() {
+ local UG='namecoin'
+ enewgroup "${UG}"
+ enewuser "${UG}" -1 -1 /var/lib/namecoin "${UG}"
+}
+
+src_prepare() {
+ cd src || die
+ epatch "${FILESDIR}"/namecoind-0.3.80-makefile.patch
+}
+
+src_compile() {
+ local OPTS=()
+
+ OPTS+=("CXXFLAGS=${CXXFLAGS} -I$(db_includedir "${DB_VER}")")
+ OPTS+=("LDFLAGS=${LDFLAGS} -ldb_cxx-${DB_VER}")
+
+ use ssl && OPTS+=(USE_SSL=1)
+ use upnp && OPTS+=(USE_UPNP=1)
+
+ cd src || die
+ emake CXX="$(tc-getCXX)" "${OPTS[@]}" ${PN}
+}
+
+src_install() {
+ dobin src/${PN}
+
+ insinto /etc/namecoin
+ doins "${FILESDIR}/namecoin.conf"
+ fowners namecoin:namecoin /etc/namecoin/namecoin.conf
+ fperms 600 /etc/namecoin/namecoin.conf
+
+ newconfd "${FILESDIR}/namecoin.confd" ${PN}
+ newinitd "${FILESDIR}/namecoin.initd" ${PN}
+
+ keepdir /var/lib/namecoin/.namecoin
+ fperms 700 /var/lib/namecoin
+ fowners namecoin:namecoin /var/lib/namecoin/
+ fowners namecoin:namecoin /var/lib/namecoin/.namecoin
+ dosym /etc/namecoin/namecoin.conf /var/lib/namecoin/.namecoin/bitcoin.conf
+
+ dodoc doc/README
+ dodoc DESIGN-namecoin.md FAQ.md doc/README_merged-mining.md
+}